OpenStack Compute (Nova)

Support timestamps as prefixes for traceback log lines

Reported by Michael Still on 2012-03-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Wishlist
Michael Still

Bug Description

Traceback lines in the log are now formatted to match other log
lines. So, instead of getting something like:

2012-03-26 14:53:26 ERROR nova.rpc.common [-] AMQP server on 10.55.58.1:5672 is unreachable: Socket closed. Trying again in 1 secon
ds.
(nova.rpc.common): TRACE: Traceback (most recent call last):
(nova.rpc.common): TRACE: File "/usr/lib/python2.7/dist-packages/nova/rpc/impl_kombu.py", line 446, in reconnect
(nova.rpc.common): TRACE: self._connect()
(nova.rpc.common): TRACE: File "/usr/lib/python2.7/dist-packages/nova/rpc/impl_kombu.py", line 423, in _connect
(nova.rpc.common): TRACE: self.connection.connect()
[snip]

You would get something like:

2012-03-26 14:53:26 ERROR nova.rpc.common [-] AMQP server on 10.55.58.1:5672 is unreachable: Socket closed. Trying again in 1 seconds.
2012-03-26 14:53:26 TRACE nova.rpc.common Traceback (most recent call last):
2012-03-26 14:53:26 TRACE nova.rpc.common File "/usr/lib/python2.7/dist-packages/nova/rpc/impl_kombu.py", line 446, in reconnect
2012-03-26 14:53:26 TRACE nova.rpc.common self._connect()
2012-03-26 14:53:26 TRACE nova.rpc.common File "/usr/lib/python2.7/dist-packages/nova/rpc/impl_kombu.py", line 423, in _connect
2012-03-26 14:53:26 TRACE nova.rpc.common self.connection.connect()
[snip]

Changed in nova:
status: New → In Progress
Thierry Carrez (ttx) wrote :

In understand it's useful, but it makes a very user-facing change, and I'd say it's too late in the cycle to change this for Essex.

Thierry Carrez (ttx) on 2012-03-29
Changed in nova:
importance: Undecided → Wishlist

Reviewed: https://review.openstack.org/5828
Committed: http://github.com/openstack/nova/commit/318d82b910255751e32144604ea45c9bea9a2d26
Submitter: Jenkins
Branch: master

commit 318d82b910255751e32144604ea45c9bea9a2d26
Author: Michael Still <email address hidden>
Date: Tue Mar 27 07:14:12 2012 +1100

    Support timestamps as prefixes for traceback log lines.

    Traceback lines in the log are now formatted to match other log
    lines. So, instead of getting something like:

    2012-03-26 14:53:26 ERROR nova.rpc.common [-] AMQP server on 10.55.58.1:5672 is unreachable: Socket closed. Trying again in 1 secon
    ds.
    (nova.rpc.common): TRACE: Traceback (most recent call last):
    (nova.rpc.common): TRACE: File "/usr/lib/python2.7/dist-packages/nova/rpc/impl_kombu.py", line 446, in reconnect
    (nova.rpc.common): TRACE: self._connect()
    (nova.rpc.common): TRACE: File "/usr/lib/python2.7/dist-packages/nova/rpc/impl_kombu.py", line 423, in _connect
    (nova.rpc.common): TRACE: self.connection.connect()
    [snip]

    You would get something like:

    2012-03-26 14:53:26 ERROR nova.rpc.common [-] AMQP server on 10.55.58.1:5672 is unreachable: Socket closed. Trying again in 1 secon
    ds.
    2012-03-26 14:53:26 TRACE nova.rpc.common Traceback (most recent call last):
    2012-03-26 14:53:26 TRACE nova.rpc.common File "/usr/lib/python2.7/dist-packages/nova/rpc/impl_kombu.py", line 446, in reconnect
    2012-03-26 14:53:26 TRACE nova.rpc.common self._connect()
    2012-03-26 14:53:26 TRACE nova.rpc.common File "/usr/lib/python2.7/dist-packages/nova/rpc/impl_kombu.py", line 423, in _connect
    2012-03-26 14:53:26 TRACE nova.rpc.common self.connection.connect()
    [snip]

    This is tracked by bug 967842.

    Change-Id: Ie017317f7e0b636016a220cb21a3543ab569dea5

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/6030
Committed: http://github.com/openstack/nova/commit/3f531722a203395f0070adb6db4dedd216c501b7
Submitter: Jenkins
Branch: milestone-proposed

commit 3f531722a203395f0070adb6db4dedd216c501b7
Author: Michael Still <email address hidden>
Date: Tue Mar 27 07:14:12 2012 +1100

    Support timestamps as prefixes for traceback log lines.

    Traceback lines in the log are now formatted to match other log
    lines. So, instead of getting something like:

    2012-03-26 14:53:26 ERROR nova.rpc.common [-] AMQP server on 10.55.58.1:5672 is unreachable: Socket closed. Trying again in 1 secon
    ds.
    (nova.rpc.common): TRACE: Traceback (most recent call last):
    (nova.rpc.common): TRACE: File "/usr/lib/python2.7/dist-packages/nova/rpc/impl_kombu.py", line 446, in reconnect
    (nova.rpc.common): TRACE: self._connect()
    (nova.rpc.common): TRACE: File "/usr/lib/python2.7/dist-packages/nova/rpc/impl_kombu.py", line 423, in _connect
    (nova.rpc.common): TRACE: self.connection.connect()
    [snip]

    You would get something like:

    2012-03-26 14:53:26 ERROR nova.rpc.common [-] AMQP server on 10.55.58.1:5672 is unreachable: Socket closed. Trying again in 1 secon
    ds.
    2012-03-26 14:53:26 TRACE nova.rpc.common Traceback (most recent call last):
    2012-03-26 14:53:26 TRACE nova.rpc.common File "/usr/lib/python2.7/dist-packages/nova/rpc/impl_kombu.py", line 446, in reconnect
    2012-03-26 14:53:26 TRACE nova.rpc.common self._connect()
    2012-03-26 14:53:26 TRACE nova.rpc.common File "/usr/lib/python2.7/dist-packages/nova/rpc/impl_kombu.py", line 423, in _connect
    2012-03-26 14:53:26 TRACE nova.rpc.common self.connection.connect()
    [snip]

    This is tracked by bug 967842.

    Change-Id: Ie017317f7e0b636016a220cb21a3543ab569dea5

Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: none → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers